# Low Level Virtual Machine

### NAME

lli

### SYNOPSIS

lli [options] < filename>

### DESCRIPTION

The lli command is the LLVM interpreter. It takes a program in LLVM bytecode format and executes it, either using an interpreter or a Just In Time (JIT) compiler.

### OPTIONS

- -array-checks
  Enable array bound checks.

- -help
  Print a summary of command line options.

- -disable-fp-elim
  Disable frame pointer elimination optimization.

- -stats
  Print statistics.

- -time-passes
  Record the amount of time needed for each pass and print it to standard error.

### EXIT STATUS

If lli succeeds, it will exit with 0. Otherwise, if an error occurs, it will exit with a non-zero value.

### SEE ALSO

llvm-dis

LLVM Team